Package org.apache.sysds.runtime.codegen

## Interface SpoofCUDAOperator

- All Known Implementing Classes:
    `SpoofCUDACellwise`, `SpoofCUDARowwise`

      public interface SpoofCUDAOperator

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `SpoofCUDAOperator.PrecisionProxy` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `JNI_MAT_ENTRY_SIZE` |
    `static int` | `TRANSFERRED_DATA_HEADER_SIZE` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ScalarObject` | `execute​(ExecutionContext ec, ArrayList<MatrixObject> inputs, ArrayList<ScalarObject> scalarObjects)` |
    `MatrixObject` | `execute​(ExecutionContext ec, ArrayList<MatrixObject> inputs, ArrayList<ScalarObject> scalarObjects, String outputName)` |
    `int` | `execute_dp​(long ctx)` |
    `int` | `execute_sp​(long ctx)` |
    `long` | `getContext()` |
    `String` | `getName()` |
    `default void` | `packDataForTransfer​(ExecutionContext ec, ArrayList<MatrixObject> inputs, ArrayList<ScalarObject> scalarObjects, MatrixObject out_obj, int num_inputs, int ID, long grix, boolean tB1, jcuda.Pointer[] ptr)` |
    `default void` | `prepareMatrixPointers​(ByteBuffer buf, ExecutionContext ec, MatrixObject mo, boolean tB1)` |
    `default void` | `writeMatrixDescriptorToBuffer​(ByteBuffer dst, int rows, int cols, long row_ptr, long col_idx_ptr, long data_ptr, long nnz)` |

- - ### Field Detail

    - #### JNI_MAT_ENTRY_SIZE

          static final int JNI_MAT_ENTRY_SIZE

      See Also:
        Constant Field Values

    - #### TRANSFERRED_DATA_HEADER_SIZE

          static final int TRANSFERRED_DATA_HEADER_SIZE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getName

          String getName()

    - #### writeMatrixDescriptorToBuffer

          default void writeMatrixDescriptorToBuffer​(ByteBuffer dst,
                                                     int rows,
                                                     int cols,
                                                     long row_ptr,
                                                     long col_idx_ptr,
                                                     long data_ptr,
                                                     long nnz)

    - #### prepareMatrixPointers

          default void prepareMatrixPointers​(ByteBuffer buf,
                                             ExecutionContext ec,
                                             MatrixObject mo,
                                             boolean tB1)

    - #### packDataForTransfer

          default void packDataForTransfer​(ExecutionContext ec,
                                           ArrayList<MatrixObject> inputs,
                                           ArrayList<ScalarObject> scalarObjects,
                                           MatrixObject out_obj,
                                           int num_inputs,
                                           int ID,
                                           long grix,
                                           boolean tB1,
                                           jcuda.Pointer[] ptr)

    - #### execute

          MatrixObject execute​(ExecutionContext ec,
                               ArrayList<MatrixObject> inputs,
                               ArrayList<ScalarObject> scalarObjects,
                               String outputName)

    - #### execute

          ScalarObject execute​(ExecutionContext ec,
                               ArrayList<MatrixObject> inputs,
                               ArrayList<ScalarObject> scalarObjects)

    - #### execute_dp

          int execute_dp​(long ctx)

    - #### execute_sp

          int execute_sp​(long ctx)

    - #### getContext

          long getContext()